# TsvTranslator

## About The project

TsvTranslator is programm to translate your Tsv file before importing it to Gargantext.

## Usage

```shell
python3 TsvTranslator.py [TSVName]
```

[TSVName] -> The name of the TSV file you want to translate. The file must be placed in the "tsv" directory.

When launched, the program will automatically detect the languages of your tsv.
Then it will ask you if want to translate from the secondary language to the principal language detected.
If you don't want to, you can choose the secondary and the principal languages and enter them.

The resulting TSV file is put in the "translatedTSV" directory.

## Before Usage !

Be sure that the tsv file is already compatible with Gargantext.
You can use the CleanCSVtoTSV tool to check it. 